<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('commission_paid_commissions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('commission_paid_id')->comment('commission paid table row id');
            $table->unsignedBigInteger('commission_employee_id')->comment('commission employee table row id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('commission_paid_commissions');
    }
};
