<!doctype html>
<html lang="en" data-bs-theme="light">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    @include('admin.layout.css.style')

    <title>
        @yield('page-title')
    </title>
</head>

<body class="bg-theme bg-theme2">
    <!--wrapper-->
    <div class="wrapper" style="min-height: 100vh">
        <!--sidebar wrapper -->
        @include('admin.layout.sidebar.sidebar')
        <!--end sidebar wrapper -->
        <!--start header -->
        @include('admin.layout.headerFooter.header')
        <!--end header -->
        <!--start page wrapper -->
        <div class="page-wrapper">
			<div class="page-content">
                <div class="">
                    <div class="">
                        <!-- alert start -->
                        @include('alertMessage')
                        <!-- alert end -->
                        @yield('main-content')
                    </div>
				</div>
            </div>
        </div>
        <!--end page wrapper -->
        <!--start overlay-->
        <div class="overlay mobile-toggle-icon"></div>
        <!--end overlay-->
        <!--Start Back To Top Button--> 
        <a href="javaScript:;" class="back-to-top"><i class='bx bxs-up-arrow-alt'></i></a>
        <!--End Back To Top Button-->
        <!--Start footer-->
        @include('admin.layout.headerFooter.footer')
        <!--End footer-->
    </div>
    <!--end wrapper-->
    <!--start switcher-->
    
    <!--end switcher-->
    <!--start script-->
    @include('admin.layout.js.script')
    <!--end script-->
</body>

</html>
