<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    @include('admin.layout.css.style')
    <!DOCTYPE html>
    <html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Employee Invoice</title>
        <style>
            body {
                font-family: Arial, sans-serif;
                font-size: 14px;
                color: #333;
                margin: 0;
                padding: 0;
            }

            .wrapper {
                width: 100%;
                text-align: center;
                padding: 20px;
            }

            .container {
                width: 500px;
                margin: auto;
                border-radius: 5px;
                border: 3px solid green;
                padding: 10px;
                text-align: center;
            }

            .user-img {
                display: block;
                margin: auto;
                width: 60px;
                height: 60px;
                border-radius: 50%;
            }

            .user-info {
                margin-top: 10px;
                text-align: left;
            }

            .user-info p {
                margin: 5px 0;
                font-size: 14px;
            }

            .table-container {
                margin-top: 10px;
                width: 100%;
                text-align: left;
            }

            table {
                width: 100%;
                border-collapse: collapse;
                margin-top: 10px;
            }

            table, th, td {
                border: 1px solid black;
            }

            th, td {
                padding: 8px;
                text-align: left;
            }

            th {
                background-color: #f2f2f2;
                font-weight: bold;
            }
            tr {
                page-break-inside: avoid !important; /* Avoid page breaks inside table rows */
            }
            .page-break {
                page-break-before: always;
            }
        </style>
    </head>

<body class="bg-theme bg-theme2">

@forelse ($listData as $index => $data)
        <!-- @if ($index % 5 == 0 && $index != 0)
            <div class="page-break"></div>
        @endif -->
    <div class="wrapper">
        <div class="page-content">
            <div style="min-height: 86vh">
                <div class="page-wrapper">
                    <div style="width: 500px;margin:auto;border-radius: 5px;border: 1px dotted green;padding:10px">
                    <!-- <img src="{{public_path('assets/images/avatars/avatar.png') }}" class="user-img" alt="User Avatar"> -->

                        <!-- User Info -->
                        <div class="user-info">
                            <p><strong>Agent ID:</strong> {{ $data?->login_id ?? '' }}</p>
                            <p><strong>Employee Name:</strong> {{ $data?->emp_name ?? '' }}</p>
                            <p><strong>Wallet Number :</strong> {{ $data?->wallet_no ?? '' }}</p>
                            <p><strong>Bank Info :</strong> <span
                                    style="font-size: 12px">{{ $data?->bank_info ?? '' }}</span></p>
                        </div>
                        <!-- Commission Table -->
                        <div class="table-container">
                            <table>
                                <thead>
                                <tr>
                                    <th>Period Name</th>
                                    <th>Commission</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($data?->availCommissions as $commission)
                                    <tr>
                                        <td>{{$commission?->importInfo?->period?->name}}</td>
                                        <td>{{$commission?->total_commission}}</td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td colspan="2">No commission found</td>
                                    </tr>
                                @endforelse
                                @foreach($data?->adjustments as $adjustment)
                                    <tr>
                                        <td>Adj. {{$adjustment?->period?->name}}</td>
                                        <td>
                                            @if($adjustment->adjustment_type == 1)
                                                -{{number_format($adjustment->adjustment_amount,2)}}
                                            @else
                                                {{number_format($adjustment?->adjustment_amount,2)}}
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                                <tr>
                                    <th>Total Commission</th>
                                    <th>{{ (($data?->commission_balance + $data?->addition_adjustments_sum_adjustment_amount) - $data?->deduction_adjustments_sum_adjustment_amount) ?? '' }}</th>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@empty
    <tr>
        <td colspan="15">
            <h4 class="text-secondary text-center">No data found</h4>
        </td>
    </tr>
@endforelse
@include('admin.layout.js.script')
</body>

</html>
