<?php $__env->startSection('page-title', 'Pending list'); ?>
<?php $__env->startSection('main-content'); ?>
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Pending Commission</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Commission</li>
                        <li class="breadcrumb-item active" aria-current="page">Pending</li>
                        <li class="breadcrumb-item active" aria-current="page">List</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        <div class="position-relative">
                            <input type="text" name="search" value="<?php echo e(request()->get('search')); ?>"
                                   class="form-control ps-5 radius-30" placeholder="Search by name"> <span
                                class="position-absolute top-50 product-show translate-middle-y"><i
                                    class="bx bx-search"></i></span>
                        </div>
                        <div>
                            <button class="btn btn-primary radius-30" type="submit">Search</button>
                        </div>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create role')): ?>
                            <div class="ms-auto">
                                <a onclick="return confirm('Are you sure want to send Email?')" href="<?php echo e(route('mail.pending.commission')); ?>"
                                                    class="btn btn-primary radius-30 mt-2 mt-lg-0">
                                    <i class="fadeIn animated bx bx-send"></i> Send Payout Calculation Email
                                </a>
                            </div>
                        <?php endif; ?>
                    </div>
                </form>
                <div class="card card-body">
                    <table class="table table-striped table-bordered table-responsive mb-0">
                        <thead class="table-light">
                        <tr>
                            <th>SL#</th>
                            <th>AG Login ID</th>
                            <th>Agent Name</th>
                            <th>Total Due Commission</th>
                            <th>Paid Status</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $listData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td>
                                    <h6 class="mb-0 font-14">
                                        <?php echo e($loop->iteration); ?>

                                    </h6>
                                </td>
                                <td><?php echo e($data?->login_id ?? ''); ?></td>
                                <td><?php echo e($data?->emp_name ?? ''); ?></td>

                                <?php if($data?->commission_balance >= \App\Constants\StaticConstants::PAYOUT_MIN_AMOUNT): ?>
                                <td class="text-success"><?php echo e($data?->commission_balance ?? ''); ?> </td>
                                <?php else: ?>
                                <td class="text-warning"><?php echo e($data?->commission_balance ?? ''); ?> </td>
                                <?php endif; ?>

                                <td>
                                    Unpaid
                                </td>
                                <td>
                                    <div class="d-flex order-actions">
                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('update role')): ?>
                                            <!-- <?php if($data?->commission_balance >= \App\Constants\StaticConstants::PAYOUT_MIN_AMOUNT): ?>
                                                <a onclick="return confirm('Are you sure to paid!')" href="<?php echo e(route('commission.available_user.status_update', $data->id)); ?>"
                                                   class=""><i
                                                        class='bx bxs-dollar-circle'></i></a>
                                            <?php endif; ?> -->

                                            <a href="<?php echo e(route('commission.available_user.unpaid_view', $data->id)); ?>"
                                               class=""><i
                                                    class='bx bxs-info-circle'></i></a>
                                        <?php endif; ?>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="15">
                                    <h4 class="text-secondary text-center">No data found</h4>
                                </td>
                            </tr>
                        <?php endif; ?>

                        </tbody>
                    </table>
                </div>
                <div class="row">
                    <div class="col-12 mt-2">
                        <?php echo e($listData->appends($_GET)->links()); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\commission-generate\resources\views/admin/available-commission-user/list.blade.php ENDPATH**/ ?>