<!doctype html>
<html lang="en" data-bs-theme="light">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php echo $__env->make('admin.layout.css.style', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <title>
        <?php echo $__env->yieldContent('page-title'); ?>
    </title>
</head>

<body class="bg-theme bg-theme2">
    <!--wrapper-->
    <div class="wrapper" style="min-height: 100vh">
        <!--sidebar wrapper -->
        <?php echo $__env->make('admin.layout.sidebar.report-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <!--end sidebar wrapper -->
        <!--start header -->
        <?php echo $__env->make('admin.layout.headerFooter.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <!--end header -->
        <!--start page wrapper -->
        <div class="page-wrapper">
			<div class="page-content">
                <div class="">
                    <div class="">
                        <!-- alert start -->
                        <?php echo $__env->make('alertMessage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <!-- alert end -->
                        <?php echo $__env->yieldContent('main-content'); ?>
                    </div>
				</div>
            </div>
        </div>
        <!--end page wrapper -->
        <!--start overlay-->
        <div class="overlay mobile-toggle-icon"></div>
        <!--end overlay-->
        <!--Start Back To Top Button-->
        <a href="javaScript:;" class="back-to-top"><i class='bx bxs-up-arrow-alt'></i></a>
        <!--End Back To Top Button-->
        <!--Start footer-->
        <?php echo $__env->make('admin.layout.headerFooter.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <!--End footer-->
    </div>
    <!--end wrapper-->
    <!--start switcher-->

    <!--end switcher-->
    <!--start script-->
    <?php echo $__env->make('admin.layout.js.script', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!--end script-->
</body>

</html>
<?php /**PATH C:\xampp\htdocs\commission-generate\resources\views/admin/layout/report-layout.blade.php ENDPATH**/ ?>