<?php $__env->startSection('page-title', 'Deposit'); ?>
<?php $__env->startSection('main-content'); ?>
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Deposit</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Report</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        <div class="card-body">
                            <form action="" method="get">
                                <div class="mb-4">
                                    <div class="row mb-4">
                                        <div class="col-md-6">
                                            <label for="start_date" class="form-label">Start Date</label>
                                            <input type="hidden" value="<?php echo e(request()->get('agent_id')); ?>"
                                                   name="agent_id"/>
                                            <input type="hidden" value="<?php echo e(request()->get('payment_status')); ?>"
                                                   name="payment_status"/>
                                            <input type="date" value="<?php echo e(request()->get('start_date')); ?>"
                                                   name="start_date" onchange="startDateChange(this.value)"
                                                   id="start_date" class="form-control datepicker" required/>
                                            <?php $__errorArgs = ['start_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="text-danger"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                        <div class="col-md-6">
                                            <label for="end_date" class="form-label">End Date</label>
                                            <input type="date" value="<?php echo e(request()->get('end_date')); ?>" name="end_date"
                                                   id="end_date" onchange="endDateChange(this.value)" class="form-control datepicker" required/>
                                            <?php $__errorArgs = ['end_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="text-danger"><?php echo e($message); ?></div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                </div>

                                <div class="mb-4">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <button type="submit" class="btn btn-primary"><i
                                                    class="lni lni-search-alt"></i> Search
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </form>
                <div class="card card-body table-responsive">
                    <table class="table table-striped table-bordered mb-0">
                        <thead class="table-light">
                        <tr>
                            <th>SL#</th>
                            <th>Affiliate</th>
                            <th>Agent ID</th>
                            <th>Agent Name</th>
                            <th>Email</th>
                            <th>Phone</th>
                            <th>Period</th>
                            <th>FTD</th>
                            <th>Deposit Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $depo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td><?php echo e($loop->iteration); ?></td>
                                <td><?php echo e($depo?->employeeInfo?->affiliate?->name); ?></td>
                                <td><?php echo e($depo?->employeeInfo?->login_id); ?></td>
                                <td><?php echo e($depo?->employeeInfo?->emp_name); ?></td>
                                <td><?php echo e($depo?->employeeInfo?->email); ?></td>
                                <td><?php echo e($depo?->employeeInfo?->phone_number); ?></td>
                                <td><?php echo e($depo?->importInfo?->period?->name); ?></td>
                                <td><?php echo e($depo?->first_deposit); ?></td>
                                <td><?php echo e(number_format($depo->plus_minus, 2)); ?></td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="9" class="text-center">No deposit found</td>
                            </tr>
                        <?php endif; ?>
                        </tbody>
                    </table>
                </div>
                <div class="row">
                    <div class="col-12">

                    </div>
                </div>
            </div>
        </div>

    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('extra-script'); ?>
    <script>
        const startDateElement = document.querySelector('#start_date');
        const endDateElement = document.querySelector('#end_date');
        function endDateChange(value) {
            const startDate = new Date(startDateElement.value);
            const endDate = new Date(value);
            if (startDate > endDate) {
                alert('End date cannot be smaller than start date.');
                endDateElement.value = '';
                return false;
            }

            let diffInDays = (endDate - startDate) / (1000 * 60 * 60 * 24);

            if (diffInDays > 90) {
                alert('Date range cannot be greater than 90 days.');
                endDateElement.value = '';
                return false;
            }
        }

        function startDateChange(value) {
            const startDate = new Date(value);
            const endDate = new Date(endDateElement.value);
            if (startDate > endDate) {
                alert('Start date cannot be greater than end date.');
                startDateElement.value = '';
                return false;
            }

            let diffInDays = (endDate - startDate) / (1000 * 60 * 60 * 24);

            if (diffInDays > 90) {
                alert('Date range cannot be greater than 90 days.');
                startDateElement.value = '';
                return false;
            }
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.report-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\commission-generate\resources\views/admin/report-tab/deposit-report.blade.php ENDPATH**/ ?>