<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class CommissionReportExport implements FromCollection, WithHeadings
{
    protected $data;

    public function __construct($data)
    {
        $this->data = $data;
    }

    public function collection()
    {
        return $this->data;
    }

    public function headings(): array
    {
        return [
            'SL',
            'Affiliate',
            'Agent ID',
            'Agent Name',
            'Email',
            'Phone Number',
            'Period',
            'Due Commission',
            'Paid Commission'
        ];
    }
}
