<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('adjustment_paids', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('commission_paid_id')->comment('commission paid table row id');
            $table->unsignedBigInteger('adjustment_id')->comment('adjustment table row id');
            $table->tinyInteger('calculation_type')->comment('calculation type');
            $table->decimal('amount',20,2)->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('adjustment_paids');
    }
};
