<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    @include('admin.layout.css.style')
    <!DOCTYPE html>
    <html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Employee Invoice</title>
        <style>
            body {
                font-family: Arial, sans-serif;
                font-size: 14px;
                color: #333;
                margin: 0;
                padding: 0;
            }
            .wrapper {
                width: 100%;
                text-align: center;
                padding: 20px;
            }
            .container {
                width: 500px;
                margin: auto;
                border-radius: 5px;
                border: 3px solid green;
                padding: 10px;
                text-align: center;
            }
            .user-img {
                display: block;
                margin: auto;
                width: 60px;
                height: 60px;
                border-radius: 50%;
            }
            .user-info {
                margin-top: 10px;
                text-align: left;
            }
            .user-info p {
                margin: 5px 0;
                font-size: 14px;
            }
            .table-container {
                margin-top: 10px;
                width: 100%;
                text-align: left;
            }
            table {
                width: 100%;
                border-collapse: collapse;
                margin-top: 10px;
            }
            table, th, td {
                border: 1px solid black;
            }
            th, td {
                padding: 8px;
                text-align: left;
            }
            th {
                background-color: #f2f2f2;
                font-weight: bold;
            }
        </style>
</head>

<body class="bg-theme bg-theme2">
<div class="wrapper">
    <div class="page-content">
        <div style="min-height: 86vh">
            <div class="page-wrapper">
                <div style="width: 500px;margin:auto;border-radius: 5px;border: 2px dashed #ddd;padding:10px;">
                    <img src="{{public_path('assets/images/avatars/avatar.png') }}" class="user-img" alt="User Avatar">
                    <!-- User Info -->
                    <div class="user-info">
                        <p><strong>Employee Name:</strong> {{ $emp_name }}</p>
                        @if($paid_status == 1)
                            <p><strong>Paid Status:</strong> Paid</p>
                            <p><strong>Paid At:</strong> {{ date('Y-m-d h:i a', strtotime($paid_at)) }}</p>
                            <p><strong>Paid By:</strong> {{ $paid_by }}</p>
                        @else
                            <p><strong>Paid Status:</strong> Unpaid</p>
                        @endif
                    </div>
                    <!-- Commission Table -->
                    <div class="table-container">
                        <table>
                            <thead>
                            <tr>
                                <th>Period Name</th>
                                <th>Total Commission</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($commissions as $com)
                                <tr>
                                    <td>{{ $com['importInfo']['period']['name'] }}</td>
                                    <td>{{ number_format($com['total_commission'], 2) }}</td>
                                </tr>
                            @endforeach
                            <tr>
                                <th>Total Commission</th>
                                <th>{{ number_format($commissions_sum_total_commission, 2) }}</th>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@include('admin.layout.js.script')
</body>

</html>
