<div class="sidebar-wrapper" data-simplebar="true">
    <div class="sidebar-header">
        <div>
            <img src="{{ asset('assets/images/logo-icon.png') }}" class="logo-icon" alt="logo icon">
        </div>
        <div>
            <h4 class="logo-text">Comm. Report</h4>
        </div>
        <div class="toggle-icon ms-auto"><i class='bx bx-arrow-back'></i>
        </div>
    </div>
    <!--navigation-->
    <ul class="metismenu" id="menu">


        @can('view dashboard')
            <li class="{{ request()->routeIs('overview.report.tab') ? 'mm-active' : '' }}">
                <a href="{{ route('overview.report.tab')}}?{{ http_build_query(request()->query()) }}">
                    <div class="parent-icon">
                        <i class='fadeIn animated bx bx-laptop'></i>
                    </div>
                    <div class="menu-title">Overview</div>
                </a>
            </li>
        @endcan
        @can('view dashboard')
            <li class="{{ request()->routeIs('deposit.report.tab') ? 'mm-active' : '' }}">
                <a href="{{ route('deposit.report.tab') }}?{{ http_build_query(request()->query()) }}">
                    <div class="parent-icon">
                        <i class='lni lni-invest-monitor'></i>
                    </div>
                    <div class="menu-title">Deposit Report</div>
                </a>
            </li>
        @endcan
        @can('view dashboard')
            <li class="{{ request()->routeIs('commission.report.tab') ? 'mm-active' : '' }}">
                <a href="{{ route('commission.report.tab') }}?{{ http_build_query(request()->query()) }}">
                    <div class="parent-icon">
                        <i class='fadeIn animated bx bx-wallet'></i>
                    </div>
                    <div class="menu-title">Payout Report</div>
                </a>
            </li>
        @endcan
        @can('view dashboard')
            <li class="{{ request()->routeIs('adjustment.report.tab') ? 'mm-active' : '' }}">
                <a href="{{ route('adjustment.report.tab') }}?{{ http_build_query(request()->query()) }}">
                    <div class="parent-icon">
                        <i class='fadeIn animated bx bx-minus-front'></i>
                    </div>
                    <div class="menu-title">Adjustment Report</div>
                </a>
            </li>
        @endcan
    </ul>
    <!--end navigation-->
</div>
