<div class="sidebar-wrapper" data-simplebar="true">
    <div class="sidebar-header">
        <div>
            <img src="<?php echo e(asset('assets/images/logo-icon.png')); ?>" class="logo-icon" alt="logo icon">
        </div>
        <div>
            <h4 class="logo-text">Comm. Report</h4>
        </div>
        <div class="toggle-icon ms-auto"><i class='bx bx-arrow-back'></i>
        </div>
    </div>
    <!--navigation-->
    <ul class="metismenu" id="menu">


        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view dashboard')): ?>
            <li class="<?php echo e(request()->routeIs('overview.report.tab') ? 'mm-active' : ''); ?>">
                <a href="<?php echo e(route('overview.report.tab')); ?>?<?php echo e(http_build_query(request()->query())); ?>">
                    <div class="parent-icon">
                        <i class='fadeIn animated bx bx-laptop'></i>
                    </div>
                    <div class="menu-title">Overview</div>
                </a>
            </li>
        <?php endif; ?>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view dashboard')): ?>
            <li class="<?php echo e(request()->routeIs('deposit.report.tab') ? 'mm-active' : ''); ?>">
                <a href="<?php echo e(route('deposit.report.tab')); ?>?<?php echo e(http_build_query(request()->query())); ?>">
                    <div class="parent-icon">
                        <i class='lni lni-invest-monitor'></i>
                    </div>
                    <div class="menu-title">Deposit Report</div>
                </a>
            </li>
        <?php endif; ?>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view dashboard')): ?>
            <li class="<?php echo e(request()->routeIs('commission.report.tab') ? 'mm-active' : ''); ?>">
                <a href="<?php echo e(route('commission.report.tab')); ?>?<?php echo e(http_build_query(request()->query())); ?>">
                    <div class="parent-icon">
                        <i class='fadeIn animated bx bx-wallet'></i>
                    </div>
                    <div class="menu-title">Payout Report</div>
                </a>
            </li>
        <?php endif; ?>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view dashboard')): ?>
            <li class="<?php echo e(request()->routeIs('adjustment.report.tab') ? 'mm-active' : ''); ?>">
                <a href="<?php echo e(route('adjustment.report.tab')); ?>?<?php echo e(http_build_query(request()->query())); ?>">
                    <div class="parent-icon">
                        <i class='fadeIn animated bx bx-minus-front'></i>
                    </div>
                    <div class="menu-title">Adjustment Report</div>
                </a>
            </li>
        <?php endif; ?>
    </ul>
    <!--end navigation-->
</div>
<?php /**PATH C:\xampp\htdocs\commission-generate\resources\views/admin/layout/sidebar/report-sidebar.blade.php ENDPATH**/ ?>