<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php echo $__env->make('admin.layout.css.style', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!DOCTYPE html>
    <html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Employee Invoice</title>
        <style>
            body {
                font-family: Arial, sans-serif;
                font-size: 14px;
                color: #333;
                margin: 0;
                padding: 0;
            }

            .wrapper {
                width: 100%;
                text-align: center;
                padding: 20px;
            }

            .container {
                width: 500px;
                margin: auto;
                border-radius: 5px;
                border: 3px solid green;
                padding: 10px;
                text-align: center;
            }

            .user-img {
                display: block;
                margin: auto;
                width: 60px;
                height: 60px;
                border-radius: 50%;
            }

            .user-info {
                margin-top: 10px;
                text-align: left;
            }

            .user-info p {
                margin: 5px 0;
                font-size: 14px;
            }

            .table-container {
                margin-top: 10px;
                width: 100%;
                text-align: left;
            }

            table {
                width: 100%;
                border-collapse: collapse;
                margin-top: 10px;
            }

            table, th, td {
                border: 1px solid black;
            }

            th, td {
                padding: 8px;
                text-align: left;
            }

            th {
                background-color: #f2f2f2;
                font-weight: bold;
            }
            tr {
                page-break-inside: avoid !important; /* Avoid page breaks inside table rows */
            }
            .page-break {
                page-break-before: always;
            }
        </style>
    </head>

<body class="bg-theme bg-theme2">

<?php $__empty_1 = true; $__currentLoopData = $listData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
        <!-- <?php if($index % 5 == 0 && $index != 0): ?>
            <div class="page-break"></div>
        <?php endif; ?> -->
    <div class="wrapper">
        <div class="page-content">
            <div style="min-height: 86vh">
                <div class="page-wrapper">
                    <div style="width: 500px;margin:auto;border-radius: 5px;border: 1px dotted green;padding:10px">
                    <!-- <img src="<?php echo e(public_path('assets/images/avatars/avatar.png')); ?>" class="user-img" alt="User Avatar"> -->

                        <!-- User Info -->
                        <div class="user-info">
                            <p><strong>Agent ID:</strong> <?php echo e($data?->login_id ?? ''); ?></p>
                            <p><strong>Employee Name:</strong> <?php echo e($data?->emp_name ?? ''); ?></p>
                            <p><strong>Wallet Number :</strong> <?php echo e($data?->wallet_no ?? ''); ?></p>
                            <p><strong>Bank Info :</strong> <span
                                    style="font-size: 12px"><?php echo e($data?->bank_info ?? ''); ?></span></p>
                        </div>
                        <!-- Commission Table -->
                        <div class="table-container">
                            <table>
                                <thead>
                                <tr>
                                    <th>Period Name</th>
                                    <th>Commission</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php $__empty_2 = true; $__currentLoopData = $data?->availCommissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $commission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_2 = false; ?>
                                    <tr>
                                        <td><?php echo e($commission?->importInfo?->period?->name); ?></td>
                                        <td><?php echo e($commission?->total_commission); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_2): ?>
                                    <tr>
                                        <td colspan="2">No commission found</td>
                                    </tr>
                                <?php endif; ?>
                                <?php $__currentLoopData = $data?->adjustments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $adjustment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td>Adj. <?php echo e($adjustment?->period?->name); ?></td>
                                        <td>
                                            <?php if($adjustment->adjustment_type == 1): ?>
                                                -<?php echo e(number_format($adjustment->adjustment_amount,2)); ?>

                                            <?php else: ?>
                                                <?php echo e(number_format($adjustment?->adjustment_amount,2)); ?>

                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                                <tr>
                                    <th>Total Commission</th>
                                    <th><?php echo e((($data?->commission_balance + $data?->addition_adjustments_sum_adjustment_amount) - $data?->deduction_adjustments_sum_adjustment_amount) ?? ''); ?></th>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
    <tr>
        <td colspan="15">
            <h4 class="text-secondary text-center">No data found</h4>
        </td>
    </tr>
<?php endif; ?>
<?php echo $__env->make('admin.layout.js.script', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\commission-generate\resources\views/admin/payment-request/download-invoice-list.blade.php ENDPATH**/ ?>